%define name		rekall
%define version		2.2.0
%define cvs		beta1
%define release		1.%{cvs}.1mdk
%define libmajor	2
%define libname		%mklibname %name %libmajor

Summary:	Rekall: A KDE database front end
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Databases
Source: 	%{name}-%{version}-%{cvs}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Prefix:		/usr
License:	GPL
URL:		http://www.rekallrevealed.org/
BuildRequires:  python-devel autoconf2.5 automake1.6 libxml2-devel qt3-devel
Requires:	rekall-common rekall-kde rekall-drivers rekall-python-common rekall-extra
Requires:	rekall-python rekall-xbase 
Requires:	rekall-python-runtime rekall-docs

%description
Rekall - A KDE database front end

%package  common
Summary:	Rekall- Files common to full and runtime versions
Group:		Databases
Provides:	%{name}-common
Provides:	%{name}-common=%{version}-%{release}

%description  common
Rekall - Files common to full and runtime versions

%package -n %{libname}-common
Summary:	Libraries for Rekall-common
Group:		System/Libraries
Provides:	librekall-common
Provides:	%{libname}-common = %{version}-%{release}

%description -n %{libname}-common
Libraries for Rekall-common

%package -n %{libname}-devel
Summary:	Rekall - Interface development package
Group:		Development/Other
Provides:	librekall-devel
Provides:	%{libname}-devel = %{version}-%{release}
Requires:	%{libname}-runtime = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname}-devel
Rekall - Interface development package

%package  docs
Summary:	Rekall- Documentation
Group:		Databases
Provides:	%{name}-docs
Provides:	%{name}-docs-%{version}-%{release}

%description  docs
Rekall - Documentation

%package  drivers
Summary:	Rekall- Standard drivers and interface
Group:		Databases
Provides:	%{name}-drivers
Provides:	%{name}-drivers=%{version}-%{release}

%description  drivers
Rekall - Standard drivers and interface

%package -n %{libname}-drivers
Summary:	Libraries for Rekall-drivers and interface
Group:		System/Libraries
Provides:	librekall-drivers
Provides:	%{libname}-drivers = %{version}-%{release}

%description -n %{libname}-drivers
Libraries for Rekall-drivers and interface

%package  extra
Summary:	Rekall- Extra stuff
Group:		Databases
Provides:	%{name}-extra
Provides:	%{name}-extra-%{version}-%{release}

%description  extra
Rekall - Extra stuff

%package -n %{libname}-extra
Summary:	Libraries for Rekall extra stuff
Group:		System/Libraries
Provides:	librekall-extra
Provides:	%{libname}-extra = %{version}-%{release}

%description -n %{libname}-extra
Libraries for Rekall extra stuff

%package -n %{libname}
Summary:	Rekall - Libraries
Group:		System/Libraries
Provides:	librekall = %{version}-%{release}
Provides:	librekall

%description -n %{libname}
Rekall - Libraries

%package  mysql
Summary:	Rekall- A KDE database front end: MySQL driver
Group:		Databases
BuildRequires:	mysql-devel
Requires:	mysql
Provides:	%{name}-mysql
Provides:	%{name}-mysql=%{version}-%{release}

%description  mysql
Rekall - A KDE database front end: MySQL driver

%package -n %{libname}-mysql
Summary:	Libraries for Rekall MySQL driver
Group:		System/Libraries
Provides:	librekall-mysql
Provides:	%{libname}-mysql = %{version}-%{release}

%description -n %{libname}-mysql
Libraries for Rekall MySQL driver

%package  pgsql
Summary:	Rekall- PgSQL driver
Group:		Databases
BuildRequires:	postgresql-devel
Requires:	postgresql
Provides:	%{name}-pgsql
Provides:	%{name}-pgsql = %{version}-%{release}

%description  pgsql
Rekall - PgSQL driver

%package -n %{libname}-pgsql
Summary:	Libraries for Rekall PgSQL driver
Group:		System/Libraries
Provides:	librekall-pgsql
Provides:	%{libname}-pgsql = %{version}-%{release}

%description -n %{libname}-pgsql
Libraries for Rekall PgSQL driver

%package  python
Summary:	Rekall- Full python interpreter
Group:		Databases
Provides:	%{name}-python 
Provides:	%{name}-python = %{version}-%{release}
Requires:	%{name}-python-common

%description  python
Rekall - Full python interpreter

%package -n %{libname}-python
Summary: 	Libraries for Rekall python interpreter
Group:		System/Libraries
Provides:	librekall-python
Provides:	%{libname}-python = %{version}-%{release}

%description -n %{libname}-python
Libraries for Rekall python interpreter

%package  python-common
Summary:	Rekall- Python interpreter common
Group:		Databases
Provides:	%{name}-python-common
Provides:	%{name}-python-common = %{version}-%{release}

%description  python-common
Rekall - Python interpreter common

%package  python-runtime
Summary:	Rekall- Runtime python interpreter
Group:		Databases
Provides:	%{name}-python-runtime
Provides:	%{name}-python-runtime = %{version}-%{release}

%description  python-runtime
Rekall - Runtime python interpreter

%package -n %{libname}-python-runtime
Summary:	Libraries for Rekall python runtime interpreter
Group:		System/Libraries
Provides:	librekall-python-runtime
Provides:	%{libname}-python-runtime = %{version}-%{release}

%description -n %{libname}-python-runtime
Libraries for Rekall python runtime interpreter

%package  runtime-extra
Summary:	Rekall- Runtime extra stuff
Group:		Databases
Provides:	%{name}-runtime-extra
Provides:	%{name}-runtime-extra=%{version}-%{release}

%description  runtime-extra
Rekall - Runtime extra stuff

%package -n %{libname}-runtime-extra
Summary:	Libraries for Rekall runtime extras
Group:		System/Libraries
Provides:	librekall-runtime-extra
Provides:	%{libname}-runtime-extra = %{version}-%{release}

%description -n %{libname}-runtime-extra
Libraries for Rekall runtime extras

%package  runtime
Summary:	Rekall- A KDE database front end: Runtime version
Group:		Databases
Requires:	%{name}-runtime-extra 
Requires:	%{name}-python-runtime 
Requires:	%{name}-python-common
Requires:	%{name}-common
Requires:	%{name}-docs
Requires:	%{name}-xbase 
Requires:	%{name}-kde 
Provides:	%{name}-runtime
Provides:	%{name}-runtime=%{version}-%{release}

%description  runtime
Rekall - A KDE database front end: Runtime version

%package -n %{libname}-runtime
Summary:	Rekall - Libraries for runtime version
Group:		Databases
Provides:	%{libname}-runtime = %{version}-%{release}
Provides:	librekall-runtime

%description -n %{libname}-runtime
Rekall - Libraries for runtime version

%package  xbase
Summary:	Rekall- XBase/XBSQL driver
Group:		Databases
BuildRequires:	xbase-devel xbsql-devel
Requires:	xbase xbsql
Provides:	%{name}-xbase
Provides:	%{name}-xbase=%{version}-%{release}

%description  xbase
Rekall - XBase/XBSQL driver

%package -n %{libname}-xbase
Summary:	Libraries for Rekall XBase/XBSQL driver
Group:		System/Libraries
Provides:	librekall-xbase
Provides:	%{libname}-xbase = %{version}-%{release}

%description -n %{libname}-xbase
Libraries for Rekall XBase/XBSQL driver

%package  kde
Summary:	Rekall- KDE plugins
Group:		Databases
Provides:	%{name}-kde
Provides:	%{name}-kde=%{version}-%{release}

%description  kde
Rekall - KDE plugins

%package -n %{libname}-kde
Summary:	Libraries for Rekall KDE plugins
Group:		System/Libraries
Provides:	librekall-kde
Provides:	%{libname}-kde = %{version}-%{release}

%description -n %{libname}-kde
Libraries for Rekall KDE plugins

%prep

%setup -n %{name}-%{version}-%{cvs}

%build
rm -f config.cache

export KDEDIR=%{prefix}

%make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

export KDEDIR=%{prefix}
%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
mkdir -p $RPM_BUILD_ROOT/%{_includedir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_includedir}/%{name}/*.h $RPM_BUILD_ROOT/%{_includedir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libel_compile.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libel_interp.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_kde.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_tkwidgets.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_common.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_plugin_extra.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_wizard.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_app.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_tableview.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_formview.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_reportview.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_queryview.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_copierview.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_componentview.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_editor.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_macroview.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/librekall.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_script_pysys.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_script_py.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbasert_script_pysys.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbasert_script_py.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbasert.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbasert_plugin_extra.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbasert_app.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbasert_formview.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbasert_queryview.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbasert_reportview.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbasert_tableview.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/librekallrt.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_plugin_kde.la $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_componentview.so $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_copierview.so $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_editor.so $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_formview.so $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_macroview.so $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_queryview.so $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_reportview.so $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_tableview.so $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_wizard.so $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_driver_xbase.so $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/librekall.so $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase_app.so $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mv $RPM_BUILD_ROOT/%{_libdir}/libkbase.so $RPM_BUILD_ROOT/%{_libdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
cp -r $RPM_BUILD_ROOT%{_datadir}/apps/rekall/icons/hicolor/16x16/apps/rekall.png $RPM_BUILD_ROOT/%{_miconsdir} 
cp -r $RPM_BUILD_ROOT%{_datadir}/apps/rekall/icons/hicolor/16x16/apps/rekallrt.png $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
cp -r $RPM_BUILD_ROOT%{_datadir}/apps/rekall/icons/hicolor/32x32/apps/rekall.png $RPM_BUILD_ROOT/%{_iconsdir} 
cp -r $RPM_BUILD_ROOT%{_datadir}/apps/rekall/icons/hicolor/32x32/apps/rekallrt.png $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
cp -r $RPM_BUILD_ROOT%{_datadir}/apps/rekall/icons/hicolor/48x48/apps/rekall.png $RPM_BUILD_ROOT/%{_liconsdir} 
cp -r $RPM_BUILD_ROOT%{_datadir}/apps/rekall/icons/hicolor/48x48/apps/rekallrt.png $RPM_BUILD_ROOT/%{_liconsdir}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/rekall << EOF
?package(rekall): \
command="%{_bindir}/rekall" \
needs="X11" \
icon="rekall.png" \
section="Applications/Databases" \
title="Rekall" \
longtitle="Rekall - KDE Database frontend"
EOF

cat > $RPM_BUILD_ROOT%{_menudir}/rekall-runtime << EOF
?package(rekall-runtime): \
command="%{_bindir}/rekallrt" \
needs="X11" \
icon="rekallrt.png" \
section="Applications/Databases" \
title="Rekall-runtime" \
longtitle="Rekall - KDE Database frontend Rt version"
EOF

%post -n rekall -p /usr/bin/update-menus
%postun -n rekall -p /usr/bin/update-menus

%post -n rekall-runtime -p /usr/bin/update-menus
%postun -n rekall-runtime -p /usr/bin/update-menus


%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%post -n %{libname}-runtime -p /sbin/ldconfig
%postun -n %{libname}-runtime -p /sbin/ldconfig

%post -n %{libname}-devel -p /sbin/ldconfig
%postun -n %{libname}-devel -p /sbin/ldconfig

%post -n %{libname}-common -p /sbin/ldconfig
%postun -n %{libname}-common -p /sbin/ldconfig

%post -n %{libname}-drivers -p /sbin/ldconfig
%postun -n %{libname}-drivers -p /sbin/ldconfig

%post -n %{libname}-extra -p /sbin/ldconfig
%postun -n %{libname}-extra -p /sbin/ldconfig

%post -n %{libname}-kde -p /sbin/ldconfig
%postun -n %{libname}-kde -p /sbin/ldconfig

%post -n %{libname}-mysql -p /sbin/ldconfig
%postun -n %{libname}-mysql -p /sbin/ldconfig

%post -n %{libname}-pgsql -p /sbin/ldconfig
%postun -n %{libname}-pgsql -p /sbin/ldconfig

%post -n %{libname}-python -p /sbin/ldconfig
%postun -n %{libname}-python -p /sbin/ldconfig

%post -n %{libname}-python-runtime -p /sbin/ldconfig
%postun -n %{libname}-python-runtime -p /sbin/ldconfig

%post -n %{libname}-runtime-extra -p /sbin/ldconfig
%postun -n %{libname}-runtime-extra -p /sbin/ldconfig

%post -n %{libname}-xbase -p /sbin/ldconfig
%postun -n %{libname}-xbase -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}
%defattr(-,root,root)
%doc README.FIRST AUTHORS INSTALL INSTALL.KDE INSTALL.QT3 COPYING LICENSE Release.Notes
%{_datadir}/applnk/Applications/rekall.desktop
%{_bindir}/rekall
%{_menudir}/rekall
%{_miconsdir}/rekall.png
%{_iconsdir}/rekall.png
%{_liconsdir}/rekall.png

%files  common
%defattr(-,root,root)
%{_datadir}/apps/rekall/icons/hicolor/16x16/*
%{_datadir}/apps/rekall/icons/hicolor/22x22/*
%{_datadir}/apps/rekall/icons/hicolor/32x32/*
%{_datadir}/apps/rekall/icons/hicolor/48x48/*
%{_datadir}/apps/rekall/highlight/global/*
%{_datadir}/apps/rekall/dict/*
%{_datadir}/apps/rekall/pics/*.png
%{_datadir}/apps/rekall/help/*
%{_datadir}/apps/rekall/LICENSE
%{_datadir}/apps/rekall/keymap
%{_datadir}/apps/rekall/rekall.png
%{_datadir}/apps/rekall/rekallui.*
%{_datadir}/apps/rekall/wizards/*
%{_datadir}/apps/rekall/services/rekall_table.desktop
%{_datadir}/apps/rekall/services/rekall_form.desktop
%{_datadir}/apps/rekall/services/rekall_report.desktop
%{_datadir}/apps/rekall/services/rekall_query.desktop
%{_datadir}/apps/rekall/services/rekall_copier.desktop
%{_datadir}/apps/rekall/services/rekall_component.desktop
%{_datadir}/apps/rekall/services/rekall_editor.desktop
%{_datadir}/apps/rekall/services/rekall_macro.desktop

%files -n %{libname}-common
%defattr(-,root,root)
%{_libdir}/libel_compile.so.0.0.0
%{_libdir}/%{name}-%{version}/libel_compile.la
%{_libdir}/libel_interp.so.0.0.0
%{_libdir}/%{name}-%{version}/libel_interp.la
%{_libdir}/libkbase_kde.so.0.0.7
%{_libdir}/%{name}-%{version}/libkbase_kde.la
%{_libdir}/libkbase_tkwidgets.so.0.0.7
%{_libdir}/%{name}-%{version}/libkbase_tkwidgets.la
%{_libdir}/libel_compile.so.0
%{_libdir}/libel_compile.so
%{_libdir}/libel_interp.so.0
%{_libdir}/libel_interp.so
%{_libdir}/libkbase_kde.so.0
%{_libdir}/libkbase_kde.so
%{_libdir}/libkbase_tkwidgets.so.0
%{_libdir}/libkbase_tkwidgets.so

%files -n %{libname}-devel 
%defattr(-,root,root)
%{_includedir}/%{name}-%{version}/*.h

%files  docs 
%defattr(-,root,root)
%{_docdir}/HTML/en/rekall/*.sgml
%{_docdir}/HTML/en/rekall/extract.py
%{_docdir}/HTML/en/rekall/help.xsl
%{_docdir}/HTML/en/rekall/index.cache.bz2
%{_docdir}/HTML/en/rekall/index.docbook
%{_docdir}/HTML/en/rekall/mkchm
%{_docdir}/HTML/en/rekall/mkhtml
%{_docdir}/HTML/en/rekall/mkpdf
%{_docdir}/HTML/en/rekall/common/*
%{_docdir}/HTML/en/rekall/properties/*
%{_docdir}/HTML/en/rekall/chap2/*
%{_docdir}/HTML/en/rekall/chap3/*
%{_docdir}/HTML/en/rekall/chap4/*
%{_docdir}/HTML/en/rekall/chap5/*
%{_docdir}/HTML/en/rekall/chap6/*
%{_docdir}/HTML/en/rekall/chap7/*
%{_docdir}/HTML/en/rekall/chap8/*
%{_docdir}/HTML/en/rekall/chap9/*
%{_docdir}/HTML/en/rekall/chap10/*
%{_docdir}/HTML/en/rekall/chap12/*
%{_docdir}/HTML/en/rekall/chap13/*
%{_docdir}/HTML/en/rekall/chap14/*
%{_docdir}/HTML/en/rekall/chap15/*
%{_docdir}/HTML/en/rekall/chap16/*
%{_docdir}/HTML/en/rekallrt

%files  drivers 
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/rekall_dummy.desktop

%files -n %{libname}-drivers
%defattr(-,root,root)
%{_libdir}/libkbase_common.so.0.0.7
%{_libdir}/%{name}-%{version}/libkbase_common.la
%{_libdir}/libkbase_common.so.0
%{_libdir}/libkbase_common.so

%files  extra 
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/rekall_plugin_extra.desktop

%files -n %{libname}-extra
%defattr(-,root,root)
%{_libdir}/libkbase_plugin_extra.so
%{_libdir}/%{name}-%{version}/libkbase_plugin_extra.la

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libkbase.so.0
%{_libdir}/libkbase.so.0.0.7
%{_libdir}/%{name}-%{version}/libkbase.la
%{_libdir}/%{name}-%{version}/libkbase_wizard.la
%{_libdir}/libkbase_app.so.0
%{_libdir}/libkbase_app.so.0.0.7
%{_libdir}/%{name}-%{version}/libkbase_app.la
%{_libdir}/%{name}-%{version}/libkbase_tableview.la
%{_libdir}/%{name}-%{version}/libkbase_formview.la
%{_libdir}/%{name}-%{version}/libkbase_reportview.la
%{_libdir}/%{name}-%{version}/libkbase_queryview.la
%{_libdir}/%{name}-%{version}/libkbase_copierview.la
%{_libdir}/%{name}-%{version}/libkbase_componentview.la
%{_libdir}/%{name}-%{version}/libkbase_editor.la
%{_libdir}/%{name}-%{version}/libkbase_macroview.la
%{_libdir}/librekall.so.0.0.0
%{_libdir}/%{name}-%%{version}/librekall.la
%{_libdir}/librekall.so.0
%{_libdir}/%{name}-%{version}/libkbase_wizard.so
%{_libdir}/%{name}-%{version}/libkbase_tableview.so
%{_libdir}/%{name}-%{version}/librekall.so
%{_libdir}/%{name}-%{version}/libkbase.so
%{_libdir}/%{name}-%{version}/libkbase_app.so
%{_libdir}/%{name}-%{version}/libkbase_formview.so
%{_libdir}/%{name}-%{version}/libkbase_reportview.so
%{_libdir}/%{name}-%{version}/libkbase_queryview.so
%{_libdir}/%{name}-%{version}/libkbase_copierview.so
%{_libdir}/%{name}-%{version}/libkbase_componentview.so
%{_libdir}/%{name}-%{version}/libkbase_editor.so
%{_libdir}/%{name}-%{version}/libkbase_macroview.so
%{_libdir}/%{name}-%{version}/libkbase_driver_xbase.so

%files  mysql
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/rekall_driver_mysql.desktop

%files -n %{libname}-mysql
%defattr(-,root,root)
%{_libdir}/libkbase_driver_mysql.so.0.0.0
%{_libdir}/libkbase_driver_mysql.so.0
%{_libdir}/libkbase_driver_mysql.so
%{_libdir}/libkbase_driver_mysql.la

%files  pgsql
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/rekall_driver_pgsql.desktop

%files -n %{libname}-pgsql
%defattr(-,root,root)
%{_libdir}/libkbase_driver_pgsql.so
%{_libdir}/libkbase_driver_pgsql.la

%files  python 
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/rekall_script_py.desktop
%{_datadir}/apps/rekall/stock/component/py/*

%files -n %{libname}-python
%defattr(-,root,root)
%{_libdir}/libkbase_script_py.so
%{_libdir}/%{name}-%{version}/libkbase_script_pysys.la
%{_libdir}/%{name}-%{version}/libkbase_script_py.la
%{_libdir}/libkbase_script_pysys.so

%files  python-common 
%defattr(-,root,root)
%{_datadir}/apps/rekall/script/py/*

%files  python-runtime 
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/rekallrt_script_py.desktop

%files -n %{libname}-python-runtime
%defattr(-,root,root)
%{_libdir}/libkbasert_script_py.so
%{_libdir}/libkbasert_script_pysys.so
%{_libdir}/%{name}-%{version}/libkbasert_script_py.la
%{_libdir}/%{name}-%{version}/libkbasert_script_pysys.la
             
%files  runtime-extra 
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/rekallrt_plugin_extra.desktop

%files -n %{libname}-runtime-extra
%defattr(-,root,root)
%{_libdir}/%{name}-%{version}/libkbasert_plugin_extra.la
%{_libdir}/libkbasert_plugin_extra.so

%files  runtime 
%defattr(-,root,root)
%{_datadir}/applnk/Applications/rekallrt.desktop
%{_bindir}/rekallrt
%{_datadir}/apps/rekallrt
%{_datadir}/apps/rekall/services/rekallrt_copier.desktop
%{_datadir}/apps/rekall/services/rekallrt_form.desktop
%{_datadir}/apps/rekall/services/rekallrt_query.desktop
%{_datadir}/apps/rekall/services/rekallrt_report.desktop
%{_datadir}/apps/rekall/services/rekallrt_table.desktop
%{_menudir}/rekall-runtime
%{_miconsdir}/rekallrt.png
%{_iconsdir}/rekallrt.png
%{_liconsdir}/rekallrt.png

%files -n %{libname}-runtime
%defattr(-,root,root)
%{_libdir}/libkbasert.so.0.0.7
%{_libdir}/%{name}-%{version}/libkbasert.la
%{_libdir}/libkbasert_app.so.0.0.7
%{_libdir}/%{name}-%{version}/libkbasert_app.la
%{_libdir}/%{name}-%{version}/libkbasert_formview.la
%{_libdir}/%{name}-%{version}/libkbasert_queryview.la
%{_libdir}/%{name}-%{version}/libkbasert_reportview.la
%{_libdir}/%{name}-%{version}/libkbasert_tableview.la
%{_libdir}/librekallrt.so.0.0.0
%{_libdir}/%{name}-%{version}/librekallrt.la
%{_libdir}/libkbasert.so.0
%{_libdir}/libkbasert_app.so.0
%{_libdir}/librekallrt.so.0
%{_libdir}/libkbasert_formview.so
%{_libdir}/libkbasert_tableview.so
%{_libdir}/libkbasert_queryview.so
%{_libdir}/libkbasert_reportview.so
%{_libdir}/libkbasert.so
%{_libdir}/libkbasert_app.so
%{_libdir}/librekallrt.so

%files  xbase 
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/rekall_driver_xbase.desktop

%files -n %{libname}-xbase
%defattr(-,root,root)
%{_libdir}/libkbase_driver_xbase.so.0
%{_libdir}/libkbase_driver_xbase.so.0.0.0
%{_libdir}/libkbase_driver_xbase.la
 
%files  kde
%defattr(-,root,root)
%{_datadir}/apps/rekall/services/kdeparts.lst
%{_datadir}/apps/rekall/services/rekall_plugin_kde.desktop

%files -n %{libname}-kde
%defattr(-,root,root)
%{_libdir}/libkbase_plugin_kde.so
%{_libdir}/%{name}-%{version}/libkbase_plugin_kde.la

%changelog
* Tue Jan 27 2004 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-1.beta1.1mdk
- include rekall-docs with rekall and rekall-runtime
- include rekall-xbase with rekall-runtime
- 2.2.0-beta1

* Sat Jan 24 2004 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.20031225.5mdk
- remove explicite lib calls
- menu entries for rekall and rekall-runtime
- change groups for new menu structure

* Mon Jan 19 2004 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.20031225.4mdk
- pre-configure
- break libs into full mklibname
- fix groups
- separate .la and .so files to a versioned directory
- reenable rpath ( doesn't work anyway for KDE and Qt3 libs )
- use proper major for libs
- use requires and provides that work

* Wed Jan 7 2004 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.20031225.3mdk
- move libs to where they are supposed to be
- disable rpath
- remove redundant post and postun
- mklibname

* Tue Dec 30 2003 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.20031225.2mdk
- fix requires and provides

* Mon Dec 29 2003 Spencer Anderson <sdander@oberon.ark.com> 2.2.0-0.20031225.1mdk
- don't use configure macro - breaks build
- initial Mandrake release 
- Happy New Year
